function newthetaparam=startthetaparamsample(y,wconf,betaconft,clusteralloct,ict,leftbound,rightbound)
% This function is for sampling the theta parameter
% We use metropolis sampling for sampling from the density. 
%
    xaccepted=unifrnd(leftbound,rightbound); % The starting point.
    for n=-50:1 % to create the sample plus the 50 burn-in
            xproposed=unifrnd(leftbound,rightbound); % The proposed point.
            accprob=min(1,exp(logthetadensity(xproposed,y,wconf,betaconft,clusteralloct,ict)-...
                logthetadensity(xaccepted,y,wconf,betaconft,clusteralloct,ict)));
            if (unifrnd(0,1)<=accprob)
                xaccepted=xproposed;
            end    
            newthetaparam=xaccepted;
    end