 function [newswitches]=genswitches(phitemp,clusteralloct,xt,numberofxt,maxnumberofclusterst,nuoflevelst,averagext,prioralphaforswitcht,priorbetaforswitcht,sparsebernouliWt,switches)
% This function generates the latent weights
% in accordance with the full conditional distribution of them

newswitches=zeros(1,numberofxt);

% simple Gibbs updating of the whole vector one by one
for jt=1:numberofxt % for each of the risk factors
    
    % for metropolis sampling 
    newswitches(1,jt)=startswitchsample(phitemp,clusteralloct,xt,maxnumberofclusterst,nuoflevelst,averagext,jt,prioralphaforswitcht,priorbetaforswitcht,sparsebernouliWt,switches);

    
%      % TO CHECK DENSITIES AND SAMPLED VALUES
%      testx=0:0.01:1;
%      testy=exp(switchdensity(testx,phitemp,clusteralloct,xt,maxnumberofclusterst,nuoflevelst,averagext,jt,prioralphaforswitcht,priorbetaforswitcht));
%      figure(1);
%      plot(testx,testy); title(num2str(newswitches(1,jt)))
%      pause
end
        