function logyf=phidensity_latent(xf,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)
% This function calculates the full conditional density of the \phi
% parameter

%each column of xf is a different \phi_{c}^{j}
% the number of rows is the number of levels minus one
% this function is ready for any number of levels

logyf=zeros(1,size(xf,2));

for ixf=1:size(xf,2)
    
    for ilevel=1:size(xf,1)

    logyf(ixf)=logyf(ixf)+sum(sum(xt(clusteralloct(:,1)==clustt,covt)==(ilevel-1)))*...
        log(switchest(1,covt)*xf(ilevel,ixf) + (1-switchest(1,covt))*averagext(1,sum(nuoflevelst(1,1:covt-1))+ilevel));
       
    logyf(ixf)=logyf(ixf)+(betaphit(ilevel)-1)*log(xf(ilevel,ixf));

    end

    logyf(ixf)=logyf(ixf)+ sum(sum(xt(clusteralloct(:,1)==clustt,covt)==(ilevel)))*...
        log(switchest(1,covt)*(1-sum(xf(:,ixf))) + (1-switchest(1,covt))*averagext(1,sum(nuoflevelst(1,1:covt-1))+ilevel+1))+...
    (betaphit(ilevel+1)-1)*log(1-sum(xf(:,ixf)));
end



