function newphi=startphisample_latent_twolevels(clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)
% This function is for sampling the \phi parameters
% We use metropolis sampling for sampling from the density. 
%

    testx=0.01:0.01:0.99;
    testy=(phidensity_latent(testx,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit));
    centre=mean(testx(testy==max(testy)));
    xaccepted=centre; % The starting point.
    %xaccepted=0.5; % The starting point.
    for n=-50:1 % to create the sample plus the 50 burn-in
        halflength=0.05;
            leftbound=max(0,(xaccepted-halflength)*((xaccepted+halflength)<1)+(1-2*halflength)*((xaccepted+halflength)>=1));
            rightbound=min((xaccepted+halflength)*((xaccepted-halflength)>=0)+(2*halflength)*((xaccepted-halflength)<0),1);
            xproposed=unifrnd(leftbound,rightbound); % The proposed point.
            accprob=min(1,exp(phidensity_latent(xproposed,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)-...
                phidensity_latent(xaccepted,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)));
            if (unifrnd(0,1)<=accprob)
                xaccepted=xproposed;
            end    
            newphi=xaccepted;
    end
    
    