function [vforpsicl]=genvforpsi(Nosubjectsincl,alphaforps)
% This function generates parameters v from the full
% conditional
%
% Nosubjectsincl is the vector with the number of subjects in each cluster
% alphaforps is the parameter for the stick breaking prior of psi
temp1=Nosubjectsincl*...
    (zeros(size(Nosubjectsincl,2),size(Nosubjectsincl,2))+...
    triu(ones(size(Nosubjectsincl,2),size(Nosubjectsincl,2)),0)); 
temp2=sum(Nosubjectsincl)-temp1;
vforpsicl=betarnd(Nosubjectsincl+1,temp2+alphaforps);