 function [newrho]=genrho(switches,numberofx,alpharhoprior,betarhoprior,sparsebernouliW,Nosubjectsinclustert)
% This function generates the rho parameters
% in accordance with the full conditional distribution

nonemptyindicator=Nosubjectsinclustert>-1; 

newrho=zeros(1,numberofx);

for jt=1:numberofx
    
    if sparsebernouliW(1,jt)==1
    
        newrho(1,jt)=betarnd(sum(switches(nonemptyindicator,jt))+alpharhoprior,sum(switches(nonemptyindicator,jt)==0)+betarhoprior);
        
    else
        
        newrho(1,jt)=0;
        
    end
    
end

