 function [clusterallt,Nosubjectsinclustert,Noyonesinclustert]=genclusterallocswitches(switchest,y,x,psitemp,phitemp,callt,Nosict,Noyoict,riskthetat,profileequalityvectort)
% This function allocate the y's in the various clusters
% in accordance with the full conditional distribution of the zi parameters
% taking into account the value of the switches

Nosubjectsinclustert=Nosict; Noyonesinclustert=Noyoict;
clusterallt=callt;
indyincluster=cell(1,size(psitemp,2));

for ist=1:max(profileequalityvectort) % subject loop
    
    subjectrepresent=find(profileequalityvectort==ist,1,'first');
    for ict=1:size(psitemp,2) % first loop
        logtempphiproduct=0;
        for jt=1:size(x,2) 
            logtempphiproduct=logtempphiproduct+log(phitemp{switchest(ict,jt)*ict+(1-switchest(ict,jt))*(size(psitemp,2)+1),jt}(x(subjectrepresent,jt)+1)); 
        end
        probab(ict)=exp(log(psitemp(1,ict))+logtempphiproduct)*...
            (riskthetat(1,ict)^(y(subjectrepresent,1)))*((1-riskthetat(1,ict))^(1-y(subjectrepresent,1)));
    end
    probab=probab*(sum(probab)^(-1));
    correct=1-sum(probab(1,1:(size(psitemp,2))));
    probab(max(probab(1,1:size(psitemp,2)))==probab(1,1:size(psitemp,2)))=...
        probab(max(probab(1,1:size(psitemp,2)))==probab(1,1:size(psitemp,2)))+correct;
    if (abs(1-sum(probab(1,1:(size(psitemp,2)))))>1E-16)
        correct=1-sum(probab(1,1:(size(psitemp,2))));
        probab(max(probab(1,1:size(psitemp,2)))==probab(1,1:size(psitemp,2)))=...
            probab(max(probab(1,1:size(psitemp,2)))==probab(1,1:size(psitemp,2)))+correct;
    end
    clustervector=ones(size(find(profileequalityvectort==ist),1),1)*(1:size(psitemp,2));
    clusterallt(profileequalityvectort==ist,1)=...
        clustervector(logical(mnrnd(1,probab,size(find(profileequalityvectort==ist),1)))); 
            % sample for all subjects with the same y,profile from multinomial 
  
end

for ict=1:size(psitemp,2)
    indyincluster{ict}=clusterallt==ict; % vector with ones for y in cluster ict
    Nosubjectsinclustert(1,ict)=sum(indyincluster{ict});
    Noyonesinclustert(1,ict)=sum(y(indyincluster{ict}));
end
