function [phicl]=genphi(ncjxtemp,betaph)
% This function generates the cluster parameters phi_cj from the full
% conditionals, for John's paper (no integration)
%
% ncjxtemp is the vector with the number of individuals in class c, 
% with the j-th covariate equal to 0, 1, 2, ...
% betaph is the vector parameter for the prior of phi
phicl=dirichlet_sample(ncjxtemp + betaph,1);