function newphi=startphisample_latent_threelevels(clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)
% This function is for sampling the \phi parameters
% We use metropolis sampling for sampling from the density. 
%
    testx=[0.04 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 0.94 0.04 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 ...
        0.04 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.04 0.1 0.2 0.3 0.4 0.5 0.6 0.04 0.1 0.2 0.3 0.4 0.5 ...
        0.04 0.1 0.2 0.3 0.4 0.04 0.1 0.2 0.3 0.04 0.1 0.2 0.04 0.1 0.04 0.04 ; ...
        0.04 0.04 0.04 0.04 0.04 0.04 0.04 0.04 0.04 0.04 0.04 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 ...
        0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.3 0.3 0.3 0.3 0.3 0.3 0.3 0.4 0.4 0.4 0.4 0.4 0.4 ...
        0.5 0.5 0.5 0.5 0.5 0.6 0.6 0.6 0.6 0.7 0.7 0.7 0.8 0.8 0.9 0.94];
     testy=(phidensity_latent(testx,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit));

    centre=mean(testx(:,(find(testy==max(testy)))),2);
    xaccepted=centre; % The starting point.
    for n=-100:1 % to create the sample plus the 100 burn-in
        halflength=0.07; 
            leftbound1=max(0,(xaccepted(1)-halflength)*((xaccepted(1)+halflength)<1)+(1-2*halflength)*((xaccepted(1)+halflength)>=1));
            rightbound1=min((xaccepted(1)+halflength)*((xaccepted(1)-halflength)>=0)+(2*halflength)*((xaccepted(1)-halflength)<0),1);
            leftbound2=max(0,(xaccepted(2)-halflength)*((xaccepted(2)+halflength)<1)+(1-2*halflength)*((xaccepted(2)+halflength)>=1));
            rightbound2=min((xaccepted(2)+halflength)*((xaccepted(2)-halflength)>=0)+(2*halflength)*((xaccepted(2)-halflength)<0),1);
            xproposed=[unifrnd(leftbound1,rightbound1) unifrnd(leftbound2,rightbound2)]'; % The proposed point
            accprob=min(1,exp(phidensity_latent(xproposed,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)-...
                phidensity_latent(xaccepted,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)));
            if (unifrnd(0,1)<=accprob && sum(xproposed)<=1)
                xaccepted=xproposed;
            end    
            newphi=xaccepted;
    end
 