 function [phicl]=genphi_latent(clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit)
% This function generates the \phi parameters 
% in accordance with the full conditional distribution of them

phicl=zeros(1,nuoflevelst(covt));

if nuoflevelst(covt)==2
    
    % for metropolis sampling 
    phicl(1,1)=startphisample_latent_twolevels(clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit);
%      % TO CHECK DENSITIES AND SAMPLED VALUES
%      testx=0:0.01:1;
%      testy=exp(phidensity_latent(testx,clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit,levelt));
%      figure(1);
%      plot(testx,testy); title(num2str(phicl(1,levelt)))
%      pause  
 phicl(1,2)=1-phicl(1,1);  
 
elseif nuoflevelst(covt)==3
    
phicl(1,1:2)=startphisample_latent_threelevels(clustt,covt,clusteralloct,xt,nuoflevelst,averagext,switchest,betaphit);

phicl(1,3)=1-sum(phicl(1,1:2));  

else
    
    disp('ERROR! COVARIATE WITH MORE THAN 3 LEVELS')
    
end