function [chosentreeclustering]=producetree(clustermatrixtemp,choosenuofclusterstemp)

% This function produces the dendrogram from the association matrix

arglinkage=clustermatrixtemp(1,2:size(clustermatrixtemp,2));
for itemp=2:size(clustermatrixtemp,1)-1 % produces the argument for the linkage function
    arglinkage=[arglinkage clustermatrixtemp(itemp,itemp+1:size(clustermatrixtemp,2))];
end
arglinkage=1-arglinkage;
argdendrogram=linkage(arglinkage,'average');   % 'single'Shortest distance (default)
                                                % 'complete'Furthest distance
                                                % 'average'Unweighted average distance (UPGMA) (also known as group average)
                                                % 'weighted'Weighted average distance (WPGMA)
figure(6)
dendrogram(argdendrogram,0);

chosentreeclustering=cluster(argdendrogram,'maxclust',choosenuofclusterstemp,'criterion','distance');